# Changed by Makefile of cvs.

Summary:	Mandrakelinux tool for Cron and At
Name:     drakcronat
Version:	0.3.4
Release:	2mdk
#cvs source
# http://www.linuxmandrake.com/en/cvs.php3
Source0:	%name-%version.tar.bz2
Source1:	%{name}16.png.bz2
Source2:	%{name}32.png.bz2
Source3:	%{name}48.png.bz2
Epoch:	    1
License:	GPL
URL:		http://www.mandrakelinux.com
Group:		System/Configuration/Other
BuildRequires: gettext
Requires:	drakxtools >= 9.1-0.1mdk, perl-Gtk2, perl-MDK-Common => 1.0.4-16mdk
Requires: common-licenses
BuildArch: noarch
BuildRoot: %_tmppath/%name-%version-buildroot

%description
Drakcronat is an application for scheduling programs to run in 
the background. It is a Graphical User Interface to Crontab/Cron 
and At (Unix system schedulers).
Drakcronat provides features for beginners as well as sysadmins.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install 

#install lang
%{find_lang} drakcronat

#install menu
mkdir -p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/%name << EOF
?package(%name):\ 
needs="x11" \
icon="drakcronat.png" \
section="Configuration/Other" \
title="X Cron and At frontend" \
longtitle="A graphical frontend for cron and at" \
command="/usr/X11R6/bin/drakcronat"
EOF


#install menu icon
mkdir -p $RPM_BUILD_ROOT{%_miconsdir,%_liconsdir}
bzcat %SOURCE1 > $RPM_BUILD_ROOT%_miconsdir/%name.png
bzcat %SOURCE2 > $RPM_BUILD_ROOT%_iconsdir/%name.png
bzcat %SOURCE3 > $RPM_BUILD_ROOT%_liconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f drakcronat.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%_prefix/X11R6/bin/*
%_datadir/drakcronat
%_menudir/%name
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png

%changelog
* Fri Oct  1 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.4-2mdk
- cleanups
- translation snapshot

* Wed Apr 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.4-1mdk
- remove latest remaining hardcoded widget sizing
- autosize main window

* Thu Apr  8 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.3-1mdk
- do not hide main window when poping a sub dialog
- fix crash on adding a new task
- fix translating by tagging drakcronat domain as utf8 (aka register
  it befor performing ugtk2 initialization)
- fix hidden or truncated widgets in sub dialogs which are now autosized

* Wed Apr  7 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.2-1mdk
- fix faillure to write crontab
- fix error in generated crontab
- fix writting old crontab instead of new one
- fix altering not first command

* Tue Apr  6 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-1mdk
- support again: ar, he, hi and ta locales
- fix untranslated message
- fix "Invalid UTF8 string passed to pango_layout_set_text()" warnings

* Fri Apr  2 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-1mdk
- minimal gtk+2 port

* Thu Sep 04 2003 David Baudens <baudens@mandrakesoft.com> 0.1.3-2mdk
- Remove dependency on gtk+mdk

* Wed Nov 27 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-1mdk
- use new i18n scheme from libDrakX
- clean the code
- don't reinvent my_gtk

* Fri Sep  6 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-9mdk
- use my_gtk for embbeded mode

* Fri Sep  6 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-8mdk
- use my_gtk for embbeded mode (not uploaded since pablo did a non
  comited upload)

* Thu Sep  5 2002 Daouda LO <daouda@mandrakesoft.com> 0.1.2-7mdk
- don't show toggle button in root mode 

* Wed Sep  4 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-6mdk
- really emmbed

* Wed Sep  4 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-5mdk
- embbed in mcc

* Thu Aug 29 2002 tkhousakoun <tkhousakoun@mandrakesoft.com> 1:0.1.2-4mdk
- a new interface

* Fri Aug 23 2002 tkhousakoun <tkhousakoun@mandrakesoft.com> 0.1.2-3mdk
- new icons

* Sat Aug 17 2002 Daouda LO <daouda@mandrakesoft.com> 0.1.2-2mdk
- fix group.

* Wed Aug 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.1.2-1mdk
- first release
- cleanups
- Cc bugs to : Thierry khousakoun <tkhousakoun@mandrakesoft.com>

